This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 175886 - yumdownloader doesn't work properly as non-root
yumdownloader doesn't work properly as non-root
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-15 17:39 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 02:36:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-12-15 17:39:27 EST
When running as non-root and all package headers not in local cache,
yumdownloader fails:

$ sudo yum clean headers
Cleaning up Headers
170 headers removed
$ yumdownloader --urls --resolve nethack
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 130, in ?
    main()
  File "/usr/bin/yumdownloader", line 102, in main
    my.resolveDeps()
  File "depsolve.py", line 211, in resolveDeps
  File "depsolve.py", line 169, in populateTs
  File "__init__.py", line 676, in downloadHeader
yum.Errors.RepoError: Header not in local cache and caching-only mode enabled.
Cannot download nethack-3.4.3-3.fc4.i386.rpm

$ rpm -q yum yum-utils
yum-2.4.1-1.fc4
yum-utils-0.3.1-1.fc4

This seems to work ok in devel with yum 2.5.0 and my patched yumdownloader from
bug 175335.
Comment 1 Christian Iseli 2007-01-17 18:21:17 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 2 Ville Skyttä 2007-01-18 02:36:16 EST
This has been fixed in later yum/yum-utils versions.

Note You need to log in before you can comment on or make changes to this bug.